<?php

namespace App\Console\Commands;

use App\Services\BookInformation\GoogleBooks;
use Illuminate\Console\Command;

class TestLookup extends Command {
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'lookup {isbn}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Lookup an item by isbn';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct() {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle() {
        $isbn = $this->argument('isbn');

        $bn = new GoogleBooks();

        print_r($bn->lookup($isbn));
    }
}
